| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ServiceTypeSupport Class Reference

`#include <ServiceTypeSupport.hpp>`

## Public Member Functions

FASTDDS_EXPORTED_API | ServiceTypeSupport () noexcept=default
| Constructor.
FASTDDS_EXPORTED_API | ServiceTypeSupport (const ServiceTypeSupport &service_type) noexcept=default
| Copy Constructor.
FASTDDS_EXPORTED_API | ServiceTypeSupport (ServiceTypeSupport &&service_type) noexcept=default
| Move Constructor.
FASTDDS_EXPORTED_API ServiceTypeSupport & | operator= (const ServiceTypeSupport &service_type) noexcept=default
| Copy Assignment.
FASTDDS_EXPORTED_API ServiceTypeSupport & | operator= (ServiceTypeSupport &&service_type) noexcept=default
| Move Assignment.
FASTDDS_EXPORTED_API | ServiceTypeSupport (TypeSupport request_type, TypeSupport reply_type)
| ServiceTypeSupport constructor that receives two TypeSupport objects (Request + reply TypeSupports).
virtual FASTDDS_EXPORTED_API | ~ServiceTypeSupport ()=default
| Destructor.
virtual FASTDDS_EXPORTED_API ReturnCode_t | register_service_type (DomainParticipant *participant, std::string service_type_name) const
| Registers the service type on a participant.
FASTDDS_EXPORTED_API const TypeSupport | request_type () const
| Returns the TypeSupport of the request type.
FASTDDS_EXPORTED_API const TypeSupport | reply_type () const
| Returns the TypeSupport of the reply type.
FASTDDS_EXPORTED_API bool | empty_types () const
| Check if the ServiceTypeSupport object contains empty request/reply types.
FASTDDS_EXPORTED_API bool | operator== (const ServiceTypeSupport &type_support)

## Constructor & Destructor Documentation

## ◆ ServiceTypeSupport() [1/4]

FASTDDS_EXPORTED_API ServiceTypeSupport | ( |  | ) |

default noexcept

Constructor.

## ◆ ServiceTypeSupport() [2/4]

FASTDDS_EXPORTED_API ServiceTypeSupport | ( | const ServiceTypeSupport & | service_type | ) |

default noexcept

Copy Constructor.

Parameters

  service_type | Another instance of ServiceTypeSupport

## ◆ ServiceTypeSupport() [3/4]

FASTDDS_EXPORTED_API ServiceTypeSupport | ( | ServiceTypeSupport && | service_type | ) |

default noexcept

Move Constructor.

Parameters

  service_type | Another instance of ServiceTypeSupport

## ◆ ServiceTypeSupport() [4/4]

FASTDDS_EXPORTED_API ServiceTypeSupport | ( | TypeSupport | request_type,
|  | TypeSupport | reply_type )

inline

ServiceTypeSupport constructor that receives two TypeSupport objects (Request + reply TypeSupports).

Parameters

  request_type | TypeSupport of the request type
  reply_type | TypeSupport of the reply type

## ◆ ~ServiceTypeSupport()

virtual FASTDDS_EXPORTED_API ~ServiceTypeSupport | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ empty_types()

FASTDDS_EXPORTED_API bool empty_types | ( |  | ) | const

inline

Check if the ServiceTypeSupport object contains empty request/reply types.

## ◆ operator=() [1/2]

FASTDDS_EXPORTED_API ServiceTypeSupport & operator= | ( | const ServiceTypeSupport & | service_type | ) |

default noexcept

Copy Assignment.

Parameters

  service_type | Another instance of ServiceTypeSupport

## ◆ operator=() [2/2]

FASTDDS_EXPORTED_API ServiceTypeSupport & operator= | ( | ServiceTypeSupport && | service_type | ) |

default noexcept

Move Assignment.

Parameters

  service_type | Another instance of ServiceTypeSupport

## ◆ operator==()

FASTDDS_EXPORTED_API bool operator== | ( | const ServiceTypeSupport & | type_support | ) |

inline

## ◆ register_service_type()

virtual FASTDDS_EXPORTED_API ReturnCode_t register_service_type | ( | DomainParticipant * | participant,
|  | std::string | service_type_name ) const

virtual

Registers the service type on a participant.

Parameters

  participant | DomainParticipant where the service type is going to be registered
  service_type_name | Name of the service type to register

Returns
  RETCODE_BAD_PARAMETER if the service name is empty, RETCODE_PRECONDITION_NOT_MET if there is another service with the same name registered on the DomainParticipant and RETCODE_OK if it is registered correctly

## ◆ reply_type()

FASTDDS_EXPORTED_API const TypeSupport reply_type | ( |  | ) | const

inline

Returns the TypeSupport of the reply type.

## ◆ request_type()

FASTDDS_EXPORTED_API const TypeSupport request_type | ( |  | ) | const

inline

Returns the TypeSupport of the request type.

The documentation for this class was generated from the following file:

- include/fastdds/dds/rpc/ServiceTypeSupport.hpp